<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>PropertiesConfiguration.DefaultIOFactory (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PropertiesConfiguration.DefaultIOFactory (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PropertiesConfiguration.DefaultIOFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.IOFactory.html" title="interface in org.apache.commons.configuration2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/configuration2/PropertiesConfiguration.DefaultIOFactory.html" target="_top">Frames</a></li>
<li><a href="PropertiesConfiguration.DefaultIOFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2</div>
<h2 title="Class PropertiesConfiguration.DefaultIOFactory" class="title">Class PropertiesConfiguration.DefaultIOFactory</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.PropertiesConfiguration.DefaultIOFactory</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.IOFactory.html" title="interface in org.apache.commons.configuration2">PropertiesConfiguration.IOFactory</a></dd>
</dl>
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="typeNameLabel">PropertiesConfiguration.DefaultIOFactory</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.IOFactory.html" title="interface in org.apache.commons.configuration2">PropertiesConfiguration.IOFactory</a></pre>
<div class="block"><p>
 A default implementation of the <code>IOFactory</code> interface.
 </p>
 <p>
 This class implements the <code>createXXXX()</code> methods defined by
 the <code>IOFactory</code> interface in a way that the default objects
 (i.e. <code>PropertiesReader</code> and <code>PropertiesWriter</code> are
 returned. Customizing either the reader or the writer (or both) can be
 done by extending this class and overriding the corresponding
 <code>createXXXX()</code> method.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.7</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.DefaultIOFactory.html#DefaultIOFactory--">DefaultIOFactory</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.PropertiesReader.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration.PropertiesReader</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.DefaultIOFactory.html#createPropertiesReader-java.io.Reader-">createPropertiesReader</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;in)</code>
<div class="block">Creates a <code>PropertiesReader</code> for reading a properties
 file.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.PropertiesWriter.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration.PropertiesWriter</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.DefaultIOFactory.html#createPropertiesWriter-java.io.Writer-org.apache.commons.configuration2.convert.ListDelimiterHandler-">createPropertiesWriter</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;out,
                      <a href="../../../../org/apache/commons/configuration2/convert/ListDelimiterHandler.html" title="interface in org.apache.commons.configuration2.convert">ListDelimiterHandler</a>&nbsp;handler)</code>
<div class="block">Creates a <code>PropertiesWriter</code> for writing a properties
 file.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DefaultIOFactory--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DefaultIOFactory</h4>
<pre>public&nbsp;DefaultIOFactory()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createPropertiesReader-java.io.Reader-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPropertiesReader</h4>
<pre>public&nbsp;<a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.PropertiesReader.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration.PropertiesReader</a>&nbsp;createPropertiesReader(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;in)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.IOFactory.html#createPropertiesReader-java.io.Reader-">PropertiesConfiguration.IOFactory</a></code></span></div>
<div class="block">Creates a <code>PropertiesReader</code> for reading a properties
 file. This method is called whenever the
 <code>PropertiesConfiguration</code> is loaded. The reader returned
 by this method is then used for parsing the properties file.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.IOFactory.html#createPropertiesReader-java.io.Reader-">createPropertiesReader</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.IOFactory.html" title="interface in org.apache.commons.configuration2">PropertiesConfiguration.IOFactory</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>in</code> - the underlying reader (of the properties file)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>PropertiesReader</code> for loading the
         configuration</dd>
</dl>
</li>
</ul>
<a name="createPropertiesWriter-java.io.Writer-org.apache.commons.configuration2.convert.ListDelimiterHandler-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createPropertiesWriter</h4>
<pre>public&nbsp;<a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.PropertiesWriter.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration.PropertiesWriter</a>&nbsp;createPropertiesWriter(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;out,
                                                                       <a href="../../../../org/apache/commons/configuration2/convert/ListDelimiterHandler.html" title="interface in org.apache.commons.configuration2.convert">ListDelimiterHandler</a>&nbsp;handler)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.IOFactory.html#createPropertiesWriter-java.io.Writer-org.apache.commons.configuration2.convert.ListDelimiterHandler-">PropertiesConfiguration.IOFactory</a></code></span></div>
<div class="block">Creates a <code>PropertiesWriter</code> for writing a properties
 file. This method is called before the
 <code>PropertiesConfiguration</code> is saved. The writer returned by
 this method is then used for writing the properties file.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.IOFactory.html#createPropertiesWriter-java.io.Writer-org.apache.commons.configuration2.convert.ListDelimiterHandler-">createPropertiesWriter</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.IOFactory.html" title="interface in org.apache.commons.configuration2">PropertiesConfiguration.IOFactory</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>out</code> - the underlying writer (to the properties file)</dd>
<dd><code>handler</code> - the list delimiter delimiter for list parsing</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>PropertiesWriter</code> for saving the
         configuration</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PropertiesConfiguration.DefaultIOFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.IOFactory.html" title="interface in org.apache.commons.configuration2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/configuration2/PropertiesConfiguration.DefaultIOFactory.html" target="_top">Frames</a></li>
<li><a href="PropertiesConfiguration.DefaultIOFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
